## libguestfs 1.36.13

=== debian/changelog ===
libguestfs (1:1.36.13-1ubuntu3) bionic; urgency=high

  * No change rebuild against ruby-defaults without ruby2.3 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Mar 2018 09:35:20 +0000

libguestfs (1:1.36.13-1ubuntu2) bionic; urgency=medium

  * No-change rebuild for ruby2.5 update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2018 20:06:14 +0100

libguestfs (1:1.36.13-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Add qemu build dependencies for arm64 and ppc64el.
      + Switch to Ubuntu kernel meta-package names.
      + Disable Build-Depends on grub2, only needed for the quickchecks,
        which are disabled anyway.
      + Build-Depends on zfs-fuse on armhf and ppc64el as well.
      + Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Configure with --disable-silent-rules.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jan 2018 10:48:54 +0100

libguestfs (1:1.36.13-1) unstable; urgency=medium

  * New upstream version 1.36.13
  * Drop QEMU locking patch; a similar patch has been integrated upstream
  * Add guestfs-gobject manpage

 -- Hilko Bengen <bengen@debian.org>  Mon, 29 Jan 2018 20:13:24 +0100

libguestfs (1:1.36.11-3) unstable; urgency=medium

  * Add patch to omit passing locking parameters for non-file disks
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Tue, 23 Jan 2018 09:36:18 +0100

libguestfs (1:1.36.11-2) unstable; urgency=medium

  * e2fsprogs: Add to Build-Depends, don't filter from appliance
    dependencies (Closes: Closes: #887171, #887203, #887215, #887217,
    #887220, #887219, #887244, #887259, #887268, #887269, #887271,
    #887279, #887288, #887289, #887291, #887296, #887280, #887302)
  * Catch errors in any of the "make install" runs
  * Fix install target for php extension

 -- Hilko Bengen <bengen@debian.org>  Mon, 15 Jan 2018 14:04:59 +0100

libguestfs (1:1.36.11-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Add qemu build dependencies for arm64 and ppc64el.
      + Switch to Ubuntu kernel meta-package names.
      + Disable Build-Depends on grub2, only needed for the quickchecks,
        which are disabled anyway.
      + Build-Depends on zfs-fuse on armhf and ppc64el as well.
      + Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Configure with --disable-silent-rules.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Dec 2017 14:32:32 +0100

libguestfs (1:1.36.11-1) unstable; urgency=medium

  * New upstream version 1.36.11
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Sun, 10 Dec 2017 01:44:17 +0100

libguestfs (1:1.36.10-1ubuntu3) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 Nov 2017 08:20:05 +0100

libguestfs (1:1.36.10-1ubuntu2) bionic; urgency=medium

  * Drop gjs removal on s390x. Now it builds there.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 10:32:40 +0200

libguestfs (1:1.36.10-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Add qemu build dependencies for arm64 and ppc64el.
      + Switch to Ubuntu kernel meta-package names.
      + Disable Build-Depends on grub2, only needed for the quickchecks,
        which are disabled anyway.
      + Build-Depends on zfs-fuse on armhf and ppc64el as well.
      + Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Configure with --disable-silent-rules.
    - Remove gjs dependency on s390x

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 08:40:25 +0200

libguestfs (1:1.36.10-1) unstable; urgency=medium

  * New upstream version 1.36.10
  * Change Priority to optional

 -- Hilko Bengen <bengen@debian.org>  Fri, 20 Oct 2017 21:08:12 +0200

libguestfs (1:1.36.7-2) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Change Build-Depends: btrfs-tools to btrfs-progs (Closes: #878916)

 -- Hilko Bengen <bengen@debian.org>  Tue, 17 Oct 2017 21:13:22 +0200

libguestfs (1:1.36.7-1) unstable; urgency=medium

  * New upstream version 1.36.7
  * Drop buildsystem patches that have been integrated upstream
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Wed, 04 Oct 2017 20:49:02 +0200

libguestfs (1:1.36.6-4) unstable; urgency=medium

  * Fix --disable-ocaml related FTBFS found on ppc64el autobuilder

 -- Hilko Bengen <bengen@debian.org>  Tue, 26 Sep 2017 17:56:07 +0200

libguestfs (1:1.36.6-3) unstable; urgency=medium

  * Add patch to fix FTBFS because builddir != srcdir
  * Remove gtk-doc from .install file

 -- Hilko Bengen <bengen@debian.org>  Mon, 25 Sep 2017 21:08:04 +0200

libguestfs (1:1.36.6-2) unstable; urgency=medium

  * Fix rules syntax error

 -- Hilko Bengen <bengen@debian.org>  Mon, 25 Sep 2017 19:54:47 +0200

libguestfs (1:1.36.6-1) unstable; urgency=medium

  * New upstream version 1.36.6
  * Add more test blobs to source lintian overrides ("source-is-missing")
  * Add QEMU options for powerpcspe
  * Remove building gtk documentation becasue gtkdoc-mktmpl has
    disappeared with gtk-doc-tools 1.26
  * Rebase patches

 -- Hilko Bengen <bengen@debian.org>  Mon, 25 Sep 2017 15:41:56 +0200

libguestfs (1:1.36.5-1) unstable; urgency=medium

  * New upstream version 1.36.5
  * Rework debian/rules to reduce number of configure/make/install
    cycles, drop -dbg package
  * Rebase patches
  * Update .symbols
  * Update Build-Dependencies
  * Add missing dependency to libguestfs-gobject-dev

 -- Hilko Bengen <bengen@debian.org>  Thu, 07 Sep 2017 12:34:03 +0200
