=== debian/watch ===
version=3
http://libguestfs.org/download/([\d\.]*)-stable/libguestfs-([\d\.]*)\.tar\.gz
