## libguestfs 1.38.4

=== debian/changelog ===
libguestfs (1:1.38.4-1ubuntu2) cosmic; urgency=medium

  * Reintroduce the changes from 1:1.34.6-5ubuntu2 by Gianfranco Costamagna to
    not build-depend on gjs on s390x.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 03 Oct 2018 11:59:40 +0100

libguestfs (1:1.38.4-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Add qemu build dependencies for arm64.
      + Disable Build-Depends on grub2, only needed for the quickchecks,
        which are disabled anyway.
      + Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Configure with --disable-silent-rules.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 16 Aug 2018 20:19:01 +0200

libguestfs (1:1.38.4-1) unstable; urgency=medium

  * New upstream version 1.38.4
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Sat, 11 Aug 2018 16:20:40 +0200

libguestfs (1:1.38.3-1) unstable; urgency=medium

  * New upstream version 1.38.3
  * Drop OpenJDK patch that has been integrated upstream
  * Bump Standards-Version
  * Add patch to fix perl shebang path in scripts

 -- Hilko Bengen <bengen@debian.org>  Sat, 28 Jul 2018 19:00:34 +0200

libguestfs (1:1.38.1-1ubuntu2) cosmic; urgency=medium

  * No-change rebuild to add python3.7 support.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 11:52:34 +0200

libguestfs (1:1.38.1-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Add qemu build dependencies for arm64.
      + Disable Build-Depends on grub2, only needed for the quickchecks,
        which are disabled anyway.
      + Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Configure with --disable-silent-rules.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Jun 2018 16:17:28 +0200

libguestfs (1:1.38.1-1) unstable; urgency=medium

  * New upstream version 1.38.1
  * Rebase patches
  * Add patch to handle OpenJDK 10 (Closes: #897476)
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Sun, 06 May 2018 14:35:30 +0200

libguestfs (1:1.38.0-4) unstable; urgency=medium

  * Add build dependencies: ounit, ocaml-libvirt
  * Improve out-of-tree patches for Perl, PHP, OCaml
  * Disable building v2v test harness

 -- Hilko Bengen <bengen@debian.org>  Wed, 11 Apr 2018 09:53:14 +0200

libguestfs (1:1.38.0-3) unstable; urgency=medium

  * Specify default guestfs path (LIBGUESTFS_PATH) at build time

 -- Hilko Bengen <bengen@debian.org>  Tue, 10 Apr 2018 09:45:34 +0200

libguestfs (1:1.38.0-2) unstable; urgency=medium

  * Attempt to fix armel, mips* FTBFS

 -- Hilko Bengen <bengen@debian.org>  Mon, 09 Apr 2018 23:28:22 +0200

libguestfs (1:1.38.0-1) unstable; urgency=medium

  * New upstream version 1.38.0
  * Add architectures for golang-go, zfs-fuse build-dependencies
  * Update Vcs-* fields for salsa.debian.org
  * Add build dependencies: yara, hivex-ocaml
  * Update .symbols
  * Rebase patches, add patches to fix out-of-tree builds
  * Remove kernel package build dependency all architectures other than
    i386, amd64 (Closes: #894742)

 -- Hilko Bengen <bengen@debian.org>  Mon, 09 Apr 2018 12:21:32 +0200

libguestfs (1:1.36.13-2) unstable; urgency=medium

  * Add upstream patch adding dash to the supermin appliance (Closes: #889861)
  * Add explanation for linux-image-* build-dependency (Closes: #819308)
  * Remove unneeded dh --parallel argument

 -- Hilko Bengen <bengen@debian.org>  Mon, 19 Feb 2018 18:16:29 +0100
