=== debian/control ===
--- 
+++ 
@@ -7,13 +7,16 @@
 Build-Depends: debhelper (>= 10),
   po-debconf, bash-completion,
   supermin (>= 5),
-  libreadline-dev, libaugeas-dev (>= 1.0.0), libselinux1-dev, libhivex-dev, libvirt-dev,
+  libreadline-dev, libaugeas-dev (>= 1.0.0), libselinux1-dev, libhivex-ocaml-dev, libvirt-dev (>= 1.2.20),
+  libvirt-ocaml-dev,
+  libounit-ocaml-dev,
   liblzma-dev, libmagic-dev, libncurses5-dev, libncursesw5-dev, libpcre3-dev, libxml2-dev,
   libconfig-dev, libc-dev-bin,
   systemtap-sdt-dev,
   libcap-dev, libacl1-dev, libyajl-dev,
   libsystemd-dev | libsystemd-journal-dev,
   sleuthkit, libtsk-dev,
+  libyara-dev,
   automake, autoconf, libtool,
   fdisk | util-linux (<< 2.29.2-3~),
   gperf, libxml2-utils,
@@ -21,8 +24,8 @@
   qemu-system-mips [mips mipsel mips64 mips64el],
   qemu-system-s390x [s390x],
   qemu-system-aarch64 [arm64],
-  qemu-system-ppc [powerpc ppc64 ppc64el],
-  qemu-system-sparc [sparc],
+  qemu-system-ppc [powerpc powerpcspe ppc64 ppc64el],
+  qemu-system-sparc [sparc sparc64],
   qemu-system-x86 [i386 amd64], sgabios [i386 amd64],
   qemu-utils,
   genisoimage, pkg-config,
@@ -38,19 +41,15 @@
   libstring-shellquote-perl,
   libsys-virt-perl, libwin-hivex-perl,
   libfuse-dev, fuse,
-  libglib2.0-dev, gjs, gobject-introspection, libgirepository1.0-dev,
+  libglib2.0-dev, gjs [!s390x], gobject-introspection, libgirepository1.0-dev,
   libgtk2.0-dev,
   db-util,
   netpbm, icoutils,
   po4a,
   curl,
   flex, bison,
-  golang-go [i386 amd64 armel armhf arm64 ppc64el],
+  golang-go [i386 amd64 armel armhf arm64 mips mipsel mips64el ppc64el],
   dh-php, php-all-dev | php5-dev,
-# for appliance
-  linux-image-generic [!powerpc !armhf],
-  linux-image-generic-lpae [armhf],
-  linux-image-powerpc64-smp [powerpc],
   acl,
   attr,
   binutils,
@@ -108,9 +107,9 @@
   zerofree,
   zfs-fuse [i386 amd64 armel armhf powerpc ppc64el sparc],
 Homepage: http://libguestfs.org
-Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/pkg-libvirt/libguestfs.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-libvirt/libguestfs.git
+Standards-Version: 4.2.0
+Vcs-Git: https://salsa.debian.org/libvirt-team/libguestfs.git
+Vcs-Browser: https://salsa.debian.org/libvirt-team/libguestfs
 XS-Ruby-Versions: all
 
 Package: guestfsd
