=== debian/rules ===
--- 
+++ 
@@ -63,6 +63,7 @@
 		--disable-gnulib-tests     \
 		--with-readline	           \
 		--disable-haskell          \
+		--with-guestfs-path=/usr/lib/$(DEB_HOST_MULTIARCH)/guestfs \
 		--with-qemu=qemu-system-$(QEMU_CPU) \
 		$(if $(findstring powerpcspe,$(DEB_HOST_GNU_CPU)),\
 			--with-qemu-options="-M ppce500 -cpu e500v2") \
@@ -160,6 +161,5 @@
 
 %:
 	dh $@ \
-	   --parallel \
 	   --without=python-support \
 	   --with=ocaml,python2,python3,bash-completion,ruby,gir,lua,php
