## libguestfs 1.40.2

=== debian/changelog ===
libguestfs (1:1.40.2-7ubuntu5) focal; urgency=medium

  * (Build)-Depend on qemu-system-misc on riscv64 to fix FTBFS.

 -- William Grant <wgrant@ubuntu.com>  Tue, 21 Apr 2020 11:00:46 +1000

libguestfs (1:1.40.2-7ubuntu4) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 26 Feb 2020 17:10:53 +0000

libguestfs (1:1.40.2-7ubuntu3) focal; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Feb 2020 22:15:17 +0100

libguestfs (1:1.40.2-7ubuntu2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:18:30 +0100

libguestfs (1:1.40.2-7ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
      + d/p/0016-appliance-remove-etc-dhcp-dhclient-enter-hooks.d-res.patch:
        - Remove /etc/dhcp/dhclient-enter-hooks.d/resolved (LP: #1824236)
      + Add qemu build dependencies for arm64.
      + Disable Build-Depends on grub2, only needed for the quickchecks,
        which are disabled anyway.
      + Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Configure with --disable-silent-rules.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Feb 2020 21:39:07 +0100

libguestfs (1:1.40.2-7) unstable; urgency=medium

  * Add missing build-dependencies required for building the Supermin
    appliance (Closes: #949701)

 -- Hilko Bengen <bengen@debian.org>  Thu, 23 Jan 2020 15:10:24 +0100

libguestfs (1:1.40.2-6) unstable; urgency=medium

  * Add buildsystem patch to avoid OCaml-related FTBFS

 -- Hilko Bengen <bengen@debian.org>  Mon, 13 Jan 2020 21:02:32 +0100

libguestfs (1:1.40.2-5) unstable; urgency=medium

  * Add missing slash to debian/clean
  * Add missing Breaks/Replaces for python3-guestfs (Closes: #947373)
  * Add/bump build dependencies for virt-v2v
  * Patch build system to ensure that Python 3.8+ modules are built (Closes: #948017)
  * Attempt to fix FTBFS issues by updating handling of autogenerated OCaml config files

 -- Hilko Bengen <bengen@debian.org>  Sat, 11 Jan 2020 01:13:06 +0100

libguestfs (1:1.40.2-4) unstable; urgency=medium

  * Use designated directory for Go build cache

 -- Hilko Bengen <bengen@debian.org>  Mon, 23 Dec 2019 22:24:17 +0100

libguestfs (1:1.40.2-3) unstable; urgency=medium

  * Remove Python 2 bindings (Closes: 936872)
  * Modify build to autogenerate config.ml files (Closes: #946594)

 -- Hilko Bengen <bengen@debian.org>  Mon, 23 Dec 2019 13:00:28 +0100

libguestfs (1:1.40.2-2ubuntu8) focal; urgency=medium

  * d/patches/python3.8-support.patch: backport fix from upstream to enable
    Python 3.8 C extensions to be built. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 23 Oct 2019 15:05:48 +1300

libguestfs (1:1.40.2-2ubuntu7) focal; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2019 08:03:48 +0000

libguestfs (1:1.40.2-2ubuntu6) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:56:13 +0000

libguestfs (1:1.40.2-2ubuntu5) eoan; urgency=medium

  * Fix build with new golang-1.12 by exporting HOME directory

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Aug 2019 09:28:44 +0200

libguestfs (1:1.40.2-2ubuntu3) eoan; urgency=medium

  * No-change rebuild for php7.3

 -- Bryce Harrington <bryce@canonical.com>  Thu, 08 Aug 2019 19:05:45 +0000

libguestfs (1:1.40.2-2ubuntu2) eoan; urgency=medium

  * d/p/0016-appliance-remove-etc-dhcp-dhclient-enter-hooks.d-res.patch:
    - Remove /etc/dhcp/dhclient-enter-hooks.d/resolved (LP: #1824236)

 -- Ioanna Alifieraki <ioanna-maria.alifiraki@canonical.com>  Thu, 30 May 2019 12:30:29 +0100

libguestfs (1:1.40.2-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Add qemu build dependencies for arm64.
      + Disable Build-Depends on grub2, only needed for the quickchecks,
        which are disabled anyway.
      + Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Configure with --disable-silent-rules.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Apr 2019 11:28:01 +0200

libguestfs (1:1.40.2-2) unstable; urgency=medium

  * Adjust cryptsetup dependencies (Closes: #906234)

 -- Hilko Bengen <bengen@debian.org>  Sun, 21 Apr 2019 22:17:19 +0200

libguestfs (1:1.40.2-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Add qemu build dependencies for arm64.
      + Disable Build-Depends on grub2, only needed for the quickchecks,
        which are disabled anyway.
      + Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Configure with --disable-silent-rules.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Feb 2019 13:20:44 +0100

libguestfs (1:1.40.2-1) unstable; urgency=medium

  * New upstream version 1.40.2

 -- Hilko Bengen <bengen@debian.org>  Sun, 10 Feb 2019 22:09:07 +0100

libguestfs (1:1.40.1-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Add qemu build dependencies for arm64.
      + Disable Build-Depends on grub2, only needed for the quickchecks,
        which are disabled anyway.
      + Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Configure with --disable-silent-rules.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 24 Jan 2019 17:39:14 +0100

libguestfs (1:1.40.1-1) unstable; urgency=medium

  * New upstream version 1.40.1

