=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Richard Jones <rjones@redhat.com>, Guido Günther <agx@sigxcpu.org>, Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 12),
   po-debconf, bash-completion,
   supermin (>= 5),
   libreadline-dev, libaugeas-dev (>= 1.0.0), libselinux1-dev, libhivex-ocaml-dev, libvirt-dev (>= 1.2.20),
@@ -12,6 +12,7 @@
   libounit-ocaml-dev,
   liblzma-dev, libmagic-dev, libncurses5-dev, libncursesw5-dev, libpcre3-dev, libxml2-dev,
   libconfig-dev, libc-dev-bin,
+  libdbus-1-dev,
   systemtap-sdt-dev,
   libcap-dev, libacl1-dev, libyajl-dev,
   libsystemd-dev | libsystemd-journal-dev,
@@ -27,12 +28,13 @@
   qemu-system-ppc [powerpc powerpcspe ppc64 ppc64el],
   qemu-system-sparc [sparc sparc64],
   qemu-system-x86 [i386 amd64], sgabios [i386 amd64],
+  qemu-system-misc [riscv64],
   qemu-utils,
   genisoimage, pkg-config,
   erlang-dev,
   dh-lua,
   dh-ocaml, ocaml-nox, ocaml-findlib, libpcre-ocaml-dev, libgettext-ocaml-dev,
-  python (>= 2.6.6-3~), python-all-dev (>= 2.6.6-3~), python3-all-dev,
+  python3-all-dev,
   dh-python,
   default-jdk,
   gem2deb, rake, libjs-jquery,
@@ -41,8 +43,8 @@
   libstring-shellquote-perl,
   libsys-virt-perl, libwin-hivex-perl,
   libfuse-dev, fuse,
-  libglib2.0-dev, gjs [!s390x], gobject-introspection, libgirepository1.0-dev,
-  libgtk2.0-dev,
+  libglib2.0-dev, gjs [!s390x] <!nocheck>, gobject-introspection, libgirepository1.0-dev,
+  libgtk-3-dev,
   db-util,
   netpbm, icoutils,
   po4a,
@@ -57,10 +59,13 @@
   btrfs-progs,
   bzip2,
   cpio,
-  cryptsetup, busybox,
+  cryptsetup-bin, busybox,
+  debootstrap,
   dosfstools,
-  exfat-utils,
+  exfat-fuse, exfat-utils,
   extlinux [i386 amd64],
+  f2fs-tools,
+  fdisk,
   file,
   gawk,
   gdisk,
@@ -76,6 +81,7 @@
   isc-dhcp-client,
   jfsutils,
   kmod | module-init-tools,
+  kpartx,
   ldmtool,
   less,
 # libc-bin,
@@ -90,6 +96,7 @@
 # ocfs2-tools,
   openssh-client,
   parted,
+  pciutils,
   procps,
   psmisc,
   reiserfsprogs,
@@ -100,6 +107,7 @@
   syslinux [i386 amd64],
   udev,
 # ufsutils,
+  uuid-runtime,
   vim-tiny,
   e2fsprogs,
   xfsprogs,
@@ -107,7 +115,7 @@
   zerofree,
   zfs-fuse [i386 amd64 armel armhf powerpc ppc64el sparc],
 Homepage: http://libguestfs.org
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/libvirt-team/libguestfs.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/libguestfs
 XS-Ruby-Versions: all
@@ -166,6 +174,7 @@
   qemu-system-ppc [powerpc ppc64 ppc64el],
   qemu-system-sparc [sparc],
   qemu-system-x86 [i386 amd64], sgabios [i386 amd64],
+  qemu-system-misc [riscv64],
   db-util,
   icoutils,
   netpbm,
@@ -345,23 +354,12 @@
  virt-filesystems, virt-inspector, virt-ls, virt-make-fs, virt-rescue,
  virt-resize, virt-tar, and virt-win-reg.
 
-Package: python-guestfs
-Section: python
-Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libguestfs0 (= ${binary:Version})
-Provides: python-libguestfs
-Conflicts: python-libguestfs, libguestfs-dev (<< 1:1.14.9-1~)
-Description: guest disk image management system - Python bindings
- The libguestfs library allows accessing and modifying guest disk
- images.
- .
- This package contains the Python bindings.
- 
 Package: python3-guestfs
 Section: python
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
-Breaks: python-guestfs (<< 1:1.22.2-1~)
+Replaces: python-guestfs
+Breaks: python-guestfs
 Description: guest disk image management system - Python 3 bindings
  The libguestfs library allows accessing and modifying guest disk
  images.
@@ -389,3 +387,15 @@
  ${ocaml:Depends}
 Provides: ${ocaml:Provides}
 Description: guest disk image management system - OCaml bindings
+ The libguestfs library allows accessing and modifying guest disk
+ images.
+ .
+ This package includes the OCaml shared runtime stub libraries.
+ 
+Package: libguestfs-ocaml-dev
+Section: ocaml
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ libguestfs0 (= ${binary:Version}),
+ libguestfs-dev (= ${binary:Version}), 
+ ${ocaml:Depends}
