=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # export DH_VERBOSE=1
 include /usr/share/dpkg/architecture.mk
 
-PYTHON_VERSIONS := $(shell pyversions --installed; py3versions --installed)
+PYTHON_VERSIONS := $(shell py3versions --installed)
 RUBY_VERSIONS   := $(shell find /usr/bin/ -name 'ruby[12]*' \
 			| xargs -n1 readlink -f | xargs -r -n1 basename)
 LUA_VERSIONS    := $(shell find /usr/bin/ -name 'lua5.?' \
@@ -33,6 +33,9 @@
 PHP_VERSIONS    := $(subst -config,,\
 			$(shell find /usr/bin -name 'php-config?*' \
 				| xargs -r -n1 basename))
+
+# Use private Go build cache
+export GOCACHE = $(CURDIR)/debian/gocache
 
 # Determine the number of builds needed due to script language version
 # variants
@@ -114,6 +117,11 @@
 output_template:
 	$(foreach build,$(BUILDS),$(info $(call DH_AUTO_TEMPLATE,$(build))))
 
+# Special Makefile magic ends here
+
+override_dh_autoreconf:
+	dh_autoreconf -- debian/dh-autoreconf.sh
+
 # Just run the test on the last build.
 override_dh_auto_test:
 ifneq "" "$(findstring $(DEB_HOST_ARCH),$(QUICKCHECK_ARCHITECTURES))"
@@ -136,8 +144,11 @@
 
 	erlang-depends -perlang-guestfs
 
-	dh_install -X.la -X.so.owner -Xbindtests -X/usr/lib/go/ -X/usr/lib/go- -Xpackages.orig -Xetc/php.d \
-	    --fail-missing
+	dh_install -X.la -X.so.owner -Xbindtests -X/usr/lib/go/ -X/usr/lib/go- -Xpackages.orig -Xetc/php.d
+
+override_dh_missing:
+	dh_missing --fail-missing \
+		-X.la -X.so.owner -Xbindtests -X/usr/lib/go/ -X/usr/lib/go- -Xpackages.orig -Xetc/php.d
 
 # Add packages (except essential packages) from appliance packagelist
 # to libguestfs* dependencies
@@ -147,8 +158,6 @@
 	dh_php -p php-guestfs
 override_dh_python3:
 	dh_python3 -p python3-guestfs
-override_dh_python2:
-	dh_python2 -p python-guestfs -V 2.6-
 override_dh_shlibdeps:
 	dh_shlibdeps
 # Add libraries needed by guestfsd to libguestfs0 dependencies
@@ -157,9 +166,13 @@
 # Workaround for Lintian warning
 # "{pre,post}inst-has-useless-call-to-ldconfig"
 override_dh_makeshlibs:
-	dh_makeshlibs -X/jni/ -X/python2/ -X/python3/
+	dh_makeshlibs -X/jni/ -X/python3/
+# Workaround for
+# dwz: debian/ruby-guestfs/usr/lib/x86_64-linux-gnu/ruby/vendor_ruby/2.5.0/_guestfs.so: DWARF version 0 unhandled
+override_dh_dwz:
+	dh_dwz -X/vendor_ruby/
 
 %:
 	dh $@ \
 	   --without=python-support \
-	   --with=ocaml,python2,python3,bash-completion,ruby,gir,lua,php
+	   --with=ocaml,python3,bash-completion,ruby,gir,lua,php
